/* footer.css */

footer {
  color: white;
  font-family: var(--font-roboto);
  padding: 48px 0;
  background-color: var(--Marian-900);
  min-height: 300px;
}

/* Logo sizing */
#footer-logo {
  display: block;
  width: 90%;
  max-width: 280px;
  height: auto;
}

/* Paragraph spacing */
.footer-text {
  font-size: var(--fs-headline);
  font-weight: var(--fw-regular);
  margin: 12px 0px;
}
.footer-copyright {
  font-size: var(--fs-caption);
  font-weight: var(--fw-regular);
}

/* Footer Links */
footer .nav-link {
  font-family: var(--font-roboto); /* Use Roboto font */
  font-size: var(--fs-title-3); /* Use Title 3 size */
  font-weight: var(--fw-medium); /* Use Bold weight */
  color: var(--Butterscotch-200) !important; /* Use specified color with !important */
}

footer .nav-link:hover {
  color: var(--Butterscotch-500) !important;
}

/* Remove hyperlink color & underline */
.footer-icon {
  text-decoration: none; /* No underline */
  color: white; /* Default icon color */
  font-size: 1.5rem; /* Ensures all icons have the same size */
  width: 24px; /* Uniform width */
  height: 24px; /* Uniform height */
  transition: color 0.3s ease-in-out;
  margin-right: 4px;
}

/* Add spacing between icons */
.email-icon {
  font-size: 1.8rem;
}

/* Hover effect */
.footer-icon:hover {
  color: var(--Marian-100); /* Changes color on hover */
}
